-- 基础信息
base_info = {
	group_id = 247008003
}

-- DEFS_MISCS
local GroupId = 247008003
local point_id_list = {}
local MainGroupID = 247008001
local RegionID = 3001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 3001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 80.044, y = 0.150, z = 0.020 } }
}

-- 触发器
triggers = {
	{ config_id = 1003001, name = "ENTER_REGION_3001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 3002, pos = { x = 76.110, y = 0.207, z = 7.687 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 3003, pos = { x = 84.194, y = 0.205, z = 7.634 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 3004, pos = { x = 80.089, y = 0.201, z = 8.578 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 3005, pos = { x = 72.933, y = 0.222, z = 6.472 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 2 },
	{ config_id = 3006, pos = { x = 87.153, y = 0.215, z = 6.031 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 2 },
	{ config_id = 3007, pos = { x = 71.713, y = 0.206, z = 3.750 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 2 },
	{ config_id = 3008, pos = { x = 88.821, y = 0.211, z = 3.766 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 2 },
	{ config_id = 3009, pos = { x = 71.462, y = 0.200, z = 0.045 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 3010, pos = { x = 88.922, y = 0.208, z = 0.061 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 3011, pos = { x = 80.124, y = 0.215, z = 8.118 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 3012, pos = { x = 74.338, y = 0.226, z = 7.185 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 4 },
	{ config_id = 3013, pos = { x = 85.815, y = 0.200, z = 7.151 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 4 },
	{ config_id = 3014, pos = { x = 71.394, y = 0.209, z = 2.506 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 4 },
	{ config_id = 3015, pos = { x = 88.945, y = 0.207, z = 2.511 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 4 },
	{ config_id = 3016, pos = { x = 71.409, y = 0.203, z = -2.378 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 3017, pos = { x = 88.851, y = 0.201, z = -2.323 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 4 },
	{ config_id = 3018, pos = { x = 74.387, y = 0.201, z = -7.046 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 4 },
	{ config_id = 3019, pos = { x = 85.744, y = 0.200, z = -7.131 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 4 },
	{ config_id = 3020, pos = { x = 80.025, y = 0.200, z = -7.925 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 3021, pos = { x = 72.909, y = 0.242, z = 7.202 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 3022, pos = { x = 87.189, y = 0.217, z = 7.205 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 8 },
	{ config_id = 3023, pos = { x = 72.912, y = 0.200, z = -7.149 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 8 },
	{ config_id = 3024, pos = { x = 87.113, y = 0.200, z = -7.071 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 3025, pos = { x = 80.214, y = 0.218, z = 7.450 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 3026, pos = { x = 80.016, y = 0.200, z = -7.307 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 3027, pos = { x = 71.935, y = 0.201, z = 0.023 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 8 },
	{ config_id = 3028, pos = { x = 88.311, y = 0.204, z = -0.011 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 3029, pos = { x = 72.040, y = 0.202, z = -4.041 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 8 },
	{ config_id = 3030, pos = { x = 88.008, y = 0.209, z = 3.398 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 8 },
	{ config_id = 3031, pos = { x = 83.447, y = 0.201, z = -7.625 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 3032, pos = { x = 76.195, y = 0.226, z = 7.298 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 3033, pos = { x = 79.876, y = 0.150, z = -5.069 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 16 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 3001 },
		triggers = { "ENTER_REGION_3001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
